--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: included
comment: 
constants: []

full_name: DataMapper::Transaction::Adapter
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: close_connection
- !ruby/object:RI::MethodSummary 
  name: current_transaction
- !ruby/object:RI::MethodSummary 
  name: open_connection
- !ruby/object:RI::MethodSummary 
  name: pop_transaction
- !ruby/object:RI::MethodSummary 
  name: push_transaction
- !ruby/object:RI::MethodSummary 
  name: transaction_primitive
name: Adapter
superclass: 
